{
  "schema_version": "1.4.0",
  "id": "GHSA-wjww-59jc-83xc",
  "modified": "2025-04-09T03:55:41Z",
  "published": "2022-05-01T23:53:23Z",
  "aliases": [
    "CVE-2008-2785"
  ],
  "details": "Mozilla Firefox before 2.0.0.16 and 3.x before 3.0.1, Thunderbird before 2.0.0.16, and SeaMonkey before 1.1.11 use an incorrect integer data type as a CSS object reference counter in the CSSValue array (aka nsCSSValue:Array) data structure, which allows remote attackers to execute arbitrary code via a large number of references to a common CSS object, leading to a counter overflow and a free of in-use memory, aka ZDI-CAN-349.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-2785"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.mozilla.org/show_bug.cgi?id=440230"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/43167"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-2683"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9900"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-August/msg00125.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-August/msg00144.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-July/msg00667.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-July/msg00672.html"
    },
    {
      "type": "WEB",
      "url": "http://blog.mozilla.com/security/2008/06/18/new-security-issue-under-investigation"
    },
    {
      "type": "WEB",
      "url": "http://dvlabs.tippingpoint.com/blog/2008/06/18/vulnerability-in-mozilla-firefox-30"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2008-0616.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30761"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31121"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31122"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31129"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31144"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31145"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31154"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31157"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31176"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31183"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31195"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31220"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31253"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31261"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31270"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31286"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31306"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31377"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31403"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33433"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34501"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200808-03.xml"
    },
    {
      "type": "WEB",
      "url": "http://slackware.com/security/viewer.php?l=slackware-security&y=2008&m=slackware-security.410484"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-256408-1"
    },
    {
      "type": "WEB",
      "url": "http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0238"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1614"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1615"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1621"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1697"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:148"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:155"
    },
    {
      "type": "WEB",
      "url": "http://www.mozilla.org/security/announce/2008/mfsa2008-34.html"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/support/search.do?cmd=displayKC&docType=kc&externalId=InfoDocument-patchbuilder-readme5031400"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0597.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0598.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0599.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/494504/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/494860/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/29802"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1020336"
    },
    {
      "type": "WEB",
      "url": "http://www.slackware.org/security/viewer.php?l=slackware-security&y=2008&m=slackware-security.380767"
    },
    {
      "type": "WEB",
      "url": "http://www.slackware.org/security/viewer.php?l=slackware-security&y=2008&m=slackware-security.380974"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-623-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-626-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-626-2"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-629-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/1873"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/0977"
    },
    {
      "type": "WEB",
      "url": "http://www.zerodayinitiative.com/advisories/ZDI-08-044"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-06-19T21:41:00Z"
  }
}